Name:           python-xlib
Version:        0.33
Release:    2%{?dist}
Summary:        X client library for Python

License:        LGPLv2+
URL:            https://github.com/python-xlib/python-xlib
Source0:        https://github.com/%{name}/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        xorg.conf
Patch0:         python-xlib-mock.patch
Patch1:         python-xlib-tohex.patch
Patch2:         fix-ssh-tunnel-auth
Patch4:         python-xlib-test.patch

BuildArch:      noarch
BuildRequires:  make
BuildRequires:  texinfo-tex
BuildRequires:  tex(dvips)
BuildRequires:  xorg-x11-drv-dummy

%description
The Python X Library is a complete X11R6 client-side implementation,
written in pure Python. It can be used to write low-levelish X Windows
client applications in Python.


%package -n python%{python3_pkgversion}-xlib
Summary:        X client library for Python 3
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-setuptools_scm
BuildRequires:  python%{python3_pkgversion}-six >= 1.10.0
BuildRequires:  python%{python3_pkgversion}-tkinter
Requires:       python%{python3_pkgversion}-six >= 1.10.0
Suggests:       python%{python3_pkgversion}-tkinter

%description -n python%{python3_pkgversion}-xlib
The Python X Library is a complete X11R6 client-side implementation,
written in pure Python. It can be used to write low-levelish X Windows
client applications in Python 3.

%package doc
Summary:        Documentation and examples for python-xlib
BuildRequires:  texi2html

%description doc
Install this package if you want the developers' documentation and examples
that tell you how to program with python-xlib.

%prep
%autosetup -p1

%build
%py3_build
cd doc
make html ps
cd html
rm Makefile

%install
%py3_install
chmod a-x examples/*.py

%check
cp %SOURCE1 .
if [ -x /usr/libexec/Xorg ]; then
   Xorg=/usr/libexec/Xorg
elif [ -x /usr/libexec/Xorg.bin ]; then
   Xorg=/usr/libexec/Xorg.bin
else
   Xorg=/usr/bin/Xorg
fi
$Xorg -noreset +extension GLX +extension RANDR +extension RENDER -logfile ./xorg.log -config ./xorg.conf -configdir . :99 &
export DISPLAY=:99
%__python3 setup.py test || (cat xorg.log && exit 1)
kill %1 || :
cat xorg.log


%files -n python%{python3_pkgversion}-xlib
%license LICENSE
%doc CHANGELOG.md README.rst TODO
%{python3_sitelib}/*

%files doc
%license LICENSE
%doc examples doc/html doc/ps/python-xlib.ps


%changelog
* Thu Jun 12 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.33-2
- Rebuilt for loongarch64

* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.33-1
- initial build
